Николай
31 дек. 2014 г., 19:34

ShopModxBox-2.4.0, modxSDK-1.4.0 и Dropbox-2.1.1, совместимые с MODX2.3

Во-первых, поздравляю всех с Новым Годом! Пусть сбудутся все ваши мечты! Здоровья! Счастья! Успехов!
Во-вторых, собственно из заголовка все ясно: новая сборка доработана под MODX2.3, а то MODX2.2 более не развивается, а Райн шепнул, что уже MODX2.4 во всю готовится и что там много плюшек всяких. Вот теперь ShopModxBox можно ставить на MODX2.3, и меню не пропадет :) А еще доработаны для этого modxSDK и прочие пакеты, в которых что-либо не работало на новой версии MODX-а. К слову, у кого уже готовые магазины на MODX2.2+, можно обновить версию MODX-а до последней (сейчас это 2.3.2), после чего обновить modxSDK и с гита скачать изменения. В общем, это лечится :)
А еще, поправлены баги с отсутствием прокрутки. Оказывается, для правильного добавления своего компонента в интерфейс надо юзать специальный метод MODx.add();
Отличная новость! Возник вопрос: Почему-то список проектов в modxsdk пустой. Так и задумано?
Где именно? При установке modxSDK с нуля или на сборке? По умолчанию modxSDK ничего не создает, то есть проекты заводятся самостоятельно. При разворачивании сборки там уже должен быть проект, так как он тянется вместе со всей сборкой.
ShopModxBox. Поставил локально и на хостинге, результат один. И в таблицах пусто.
Кстати, заметил, что если в менеджере пакетов при занесении нового поставщика URL не начинается с «http://», то система запускает в репозиторий, можно что-то посмотреть, но попытка что-то скачать всегда заканчивается таймаутом.
Теперь встал нормально. Возможно, сбой был какой, а может, из-за того, что сперва core переименовывал, а сейчас так и оставил. В любом случае, СПАСИБО!!! Скоро закончу один проект — жди на поддержку проекта :)
Кстати, заметил, что если в менеджере пакетов при занесении нового поставщика URL не начинается с «http://», то
Вот это скорее всего уже не от нас зависит, а от самого MODX-а, ведь мы используем родной его механизм.
Пожалуйста! :) И да, поддержка всегда приятна))
и с гита скачать изменения
Не понятно какие именно изменения… не получилось в общем, ошибка на ошибке. Необходимость обновления только в исправлении прокрутки, а то клиенты на работающих уж мосг вынесли с этой прокруткой. Бог с ними пусть пока дальше мучаются. Но Николай, на чистой установке: clip2net.com/s/39PfUUf критично ли это? И ошибка при открытии любого ресурса или элемента в админке: clip2net.com/s/39PfOzE PHP Version: 5.4.15
по второму скрину разобрался- установка ShopModxBox перезаписывает настройки сжатия css и js.
добрый день, может кто подскажет, как с гита обновиться? или вручную переписывать всё :)
При попытке обновления modxSDK зависает:
... Attempting to preserve files at /home/aqq12163/public_html/new/man/components/modxsdk into archive /home/aqq12163/public_html/new/cor/packages/modxsdk-1.4.0-beta/modCategory/df4db8573791fd0c53cd618e94960d46.2.preserved.zip Adding ext package
стоит MODX 2.3.2, php 5.3.28
Может прав нет на файлы или места нет? Я несколько раз ставил на разные сайты и все ОК устанавливается. Механизм упаковки использовался традиционный. Не должно быть ошибки. На локале пакет проверил, распаковывается и винраром и 7zip.
да вроде нормально все. сам MODX 2.3.2 встал как по маслу, а на modx SDK споткнулся. И в логах пусто.
Но Николай, на чистой установке: clip2net.com/s/39PfUUf критично ли это?
Нет, это не критично. Просто там в самом конце установки выводится информация сколько времени затратилось, использовался метод $modx->getMicroTime(), который в итоге удалили. Я потом тоже это поправлю (судя по всему в пакете Vapor).
Не понятно какие именно изменения…
Скачайте и просто затрите вот эти три папки: github.com/Fi1osof/ShopModxBox/tree/master/core/components/basket github.com/Fi1osof/ShopModxBox/tree/master/core/components/shopmodxgroupedit github.com/Fi1osof/ShopModxBox/tree/master/manager/components Очистите кеш браузера и все должно заработать.
Проект: github.com/Fi1osof/ShopModxBox Заходите по SSH на сервер, создаете папочку для гит-проекта и выполняете в ней git clone github.com/Fi1osof/ShopModxBox.git Если ругнетс, что нет команды git, установите (на Debian-based осях это apt-get install git). Можно и просто архив скачать (на странице проекта справа внизу кнопочка Download ZIP). Далее просто надо оттуда скопировать и затереть 3 папки на сайте, какие, написал выше. Так же имеет смысл обновить пакет modxSite и с гитом свести процессоры раз и два, так как я несколько оптимизировал процессоры в самом modxSite.
А операционка какая? И сколько памяти выделено пыхпыху? Пакет-то не маленький, если мало памяти выделено, он может просто не открыть архив.
memory_limit 64M — похоже, тут проблема. Какой-то гуглом переведенный хостинг. new.12163.aqq.ru :)
Какой-то гуглом переведенный хостинг. new.12163.aqq.ru
Вот поэтому мы и работаем только на своих серверах :) И modxclub.ru/topics/pochemu-vazhno-pravilno-vyibirat-xosting-1291.html
P.S. хорошо бы логотип ссылкой на главную сделать. joxi.ru/L21LeydszdlkmX
Вот поэтому мы и работаем только на своих серверах
Сам же знаешь, какие клиенты попадаются
хорошо бы логотип ссылкой на главную сделать
сделаю, я еще не доделал его :)
та же проблема — sdk спотыкается на этом. устанавливал на локалхост, потом на beget.ru memory_limit стоит 256M
есть вероятность, что от версии php зависит. У меня на beget везде встал без проблем, там 128Мб. На beget e меня везде выставлен php 5.4, а на aqq.ru выше 5.3 на дает поставить
точно, в этом и было дело. сменил версию с 5.3 на 5.4 и все нормально поставилось.
Странное дело. Там ничего такого не менялось, упаковывалось все так же, как и раньше. При чем что самое главное:
Attempting to preserve files at /home/aqq12163/public_html/new/man/components/modxsdk into archive /home/aqq12163/public_html/new/cor/packages/modxsdk-1.4.0-beta/modCategory/df4db8573791fd0c53cd618e94960d46.2.preserved.zip Adding ext package
Судя по всему, это не попытка распаковать транспортный zip-архив, а попытка упаковать имеющиеся файлы уже установленного ранее компонента. То есть когда MODX что-то устанавливает, если файлы уже есть, он их резервирует. Потом есть возможность откатить пакет. То есть совсем не факт, что проблемы именно в самом пакете.
Не могу сказать, где именно проблема, но на ум приходит нововведение php 5.4 с упрощенной записью архивов, в 5.3 ведь этого нету. Сам не раз, и до сих пор наступаю иногда на эти грабли :)
Все равно странно.
А зачем вообще нужна такая замечательный метод? Ужель нельзя просто microtime(true)?
public function getMicroTime() { return microtime(true); }
Надо поменять на
array( "where" => array( "id" => $product->get('resource_id'), ), "current" => 1, "showhidden" => 1, "showunpublished" => 1, )
А иначе корзина не работает.
Это уже к Джейсону Коварду. У него этот метод когда-то в xPDO болтался. К нам он прицепом докатился.
Это JSON-синтаксис, который по-моему с версии PHP-5.4 стал поддерживаться. Да, убрал его, ибо на стареньких пых-пыхах будет жестко обижаться.
Если в двух словах (на большее тож не обижусь :) ), насколько актуальна эта инструкция для новой версии сборки и что там нужно изменить, чтобы и на новой канало? Просто неясность в этом вопросе единственное, что меня останавливает от перехода на новую версию. А по-скольку я немного отошел от инструкции, разбираться мне сейчас особенно неудобно.
Да в новой версии вопросы были только в интерфейсах в адмике (типа компонента modxSDK). А так в целом там все тоже самое, так что ничего там особого не поменялось (во всяком случае чего-то такого, что свело бы на нет ту инструкцию).
Ну ок, спасибо.

Добавить комментарий